Returns usage information for one or more legacy or fact metrics, showing which experiments use each metric and some usage statistics. If a metric is part of a metric group, then usage of that metric group counts as usage of all metrics in the group. Warning: only includes experiments that you have access to! If you do not have admin access or read access to experiments across all projects, this endpoint may not return the latest usage data across all experiments.
curl "https://api.growthbook.io/api/v1/usage/metrics?ids=met_123,fact_456" \
-u secret_abc123DEF456:{
"metricUsage": [
{
"metricId": "<string>",
"error": "<string>",
"experiments": [
{
"experimentId": "<string>",
"experimentStatus": "draft",
"lastSnapshotAttempt": "2023-11-07T05:31:56Z"
}
],
"lastSnapshotAttempt": "2023-11-07T05:31:56Z"
}
]
}Documentation Index
Fetch the complete documentation index at: https://growthbook-preview.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
If using Bearer auth, pass the Secret Key as the token:
curl https://api.growthbook.io/api/v1 \
-H "Authorization: Bearer secret_abc123DEF456"List of comma-separated metric IDs (both fact and legacy) to get usage for, e.g. ids=met_123,fact_456
Success
Show child attributes
curl "https://api.growthbook.io/api/v1/usage/metrics?ids=met_123,fact_456" \
-u secret_abc123DEF456:{
"metricUsage": [
{
"metricId": "<string>",
"error": "<string>",
"experiments": [
{
"experimentId": "<string>",
"experimentStatus": "draft",
"lastSnapshotAttempt": "2023-11-07T05:31:56Z"
}
],
"lastSnapshotAttempt": "2023-11-07T05:31:56Z"
}
]
}